# Uses of Interface
javax.xml.crypto.dsig.XMLObject

Packages that use XMLObject
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of XMLObject in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return XMLObject
Modifier and Type
Method
Description
`abstract XMLObject`
XMLSignatureFactory.`newXMLObject(List<? extends XMLStructure> content, String id, String mimeType, String encoding)`
Creates an `XMLObject` from the specified parameters.
Methods in javax.xml.crypto.dsig that return types with arguments of type XMLObject
Modifier and Type
Method
Description
`List<XMLObject>`
XMLSignature.`getObjects()`
Returns an `unmodifiable list` of `XMLObject`s contained in this `XMLSignature`.
Method parameters in javax.xml.crypto.dsig with type arguments of type XMLObject
Modifier and Type
Method
Description
`abstract XMLSignature`
XMLSignatureFactory.`newXMLSignature(SignedInfo si, KeyInfo ki, List<? extends XMLObject> objects, String id, String signatureValueId)`
Creates an `XMLSignature` and initializes it with the specified parameters.